## glib2.0 2.34.0

=== debian/changelog ===
glib2.0 (2.34.0-1ubuntu1) quantal-proposed; urgency=low

  * Re-sync with Debian, all our changes are in the latest Debian version.
  * Add back 91_revert_pcre_8.31_test.patch and lower the pcre dependency back
    to >= 8.30. This needs to be kept until we get pcre 8.31 into Ubuntu.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Sep 2012 11:28:26 +0200

glib2.0 (2.34.0-1) experimental; urgency=low

  [ Martin Pitt ]
  * debian/rules: Only run tests for the main flavour; it takes too
    long for all three and does not give us a lot of extra confidence.
  * debian/rules: Manually create debian/stamp-makefile-check, as with above
    change it's not created automatically any more.
  * Add 07_disable_tests_on_slow_archs.patch: Disable tests on slow
    architectures which keep failing the tests. These are currently
    /socket/timed_wait, /mainloop/timeouts, /mainloop/child_sources,
    /timeout/rounding, and the upper bound on /gdbus/method-calls-in-thread on
    ARM platforms.
  * debian/control.in: Bump pcre dependency to >= 1:8.31.
  * debian/rules: Seems there is no way of making the test suite work reliably
    with the upgraded Ubuntu ARM builders, so make tests non-fatal on
    arm{el,hf} until they get less swap happy.

  [ Michael Biebl ]
  * New upstream release.
  * Drop debian/patches/91_revert_pcre_8.31_test.patch now that we have a
    recent enough version.

 -- Martin Pitt <mpitt@debian.org>  Thu, 27 Sep 2012 11:22:56 +0200

glib2.0 (2.33.14-1) experimental; urgency=low

  [ Iain Lane ]
  * New upstream release
    + CVE-2012-3524: don't run dbus-launch from setuid binaries
    + g_content_type_get_generic_icon_name(): new API for getting the icon
      name for a mime type
    + Introspection fixes:
      - GDBusConnection nullability fixes
      - give a box type to GTimeZone
    + Drop GVFS_INOTIFY_DIAG
    + Add a new "Writing GLib Applications" section to the reference
      documentation with general info on security, threads, etc.
    + gwin32mount.c: Fix syntax error
    + gresource tests: srcdir != builddir fixes
    + tests/gvariant: Fix test on big endian architectures
    + Fix regression in g_shell_parse_argv()
  * Dropped 07_tests_gvariant_big_endian.patch: applied upstream. 

  [ Michael Biebl ]
  * Bump all 2.33.x symbol versions to 2.33.14 to ensure a tight enough
    dependency for packages using features from glib 2.33.

 -- Michael Biebl <biebl@debian.org>  Wed, 19 Sep 2012 18:38:24 +0200

glib2.0 (2.33.12-4) experimental; urgency=low

  * debian/patches/03_disble_glib_compile_schemas_warning.patch: Add a new
    patch to disable a warning when compiling schemas which are installed into
    'deprecated' locations. Users see this very often due to
    glib-compile-schemas being called from libglib2.0-0's trigger and it is
    not very useful for them.

 -- Iain Lane <laney@debian.org>  Mon, 10 Sep 2012 16:25:18 +0100

glib2.0 (2.33.12-3) experimental; urgency=low

  * debian/control.in: Add Breaks: too glib-networking versions prior to
    2.33.12. (LP: #1046319)
  * debian/rules: Ignore test case failures on hurd-i386 (not a release
    architecture) and mips (this keeps tripping over a gdbus test race
    condition).
  * Replace 07_disable_gvariant_checksum_tests.patch with
    07_tests_gvariant_big_endian.patch which fixes the test properly instead
    of disabling it. Taken from
    https://bugzilla.gnome.org/show_bug.cgi?id=683384

 -- Martin Pitt <mpitt@debian.org>  Thu, 06 Sep 2012 06:14:41 +0200

glib2.0 (2.33.12-2) experimental; urgency=low

  * Drop 10_increase_gapplication_test_delay.patch. We disable the whole test
    now anyway (08_disable_gapplication_basic_test.patch).
  * Add 07_disable_gvariant_checksum_tests.patch: 2.33.12 introduced two new
    checks for GVariant checksum stability. This does not currently work on
    big-endian machines (https://bugzilla.gnome.org/show_bug.cgi?id=683384),
    so disable these tests for now.

 -- Martin Pitt <mpitt@debian.org>  Wed, 05 Sep 2012 11:19:29 +0200

glib2.0 (2.33.12-1) experimental; urgency=low

  [ Sebastien Bacher ]
  * New upstream version
  * debian/libglib2.0-0.symbols:
    - updated
  * revert_g_file_make_directory_with_parents_error_propagation.patch:
    - dropped, the issue is fixed in the new version
  * debian/patches/92_revert_appinfo_command_line.patch:
    - don't require a vte for test, we don't want an xorg stack there

  [ Iain Lane ]
  * Add revert_g_file_make_directory_with_parents_error_propagation.patch:
    This reverts upstream commit b0bce4ad41937dabf7e5c94dcce3caf4e88f3f97
    which caused applications to segfault. The proper fix will be in the next
    glib release, so this patch should be dropped then. (LP: #1035688)

  [ Martin Pitt ]
  * Add 07_test_method_calls_on_proxy_bump_max_time.patch: On slower
    platforms, the overhead of the 240 D-BUS Sleep calls is larger than
    the current maximum of 6 seconds. Bump maximum time to 8 seconds to be
    more resilient to this.
  * Add 08_disable_gapplication_basic_test.patch: Disable /gapplication/basic
    test. It's full of race conditions and keeps breaking builds.

  [ Robert Ancell ]
  * New upstream bugfix release (LP: #1045608)
  * Drop 07_test_method_calls_on_proxy_bump_max_time.patch:
    - Applied upstream

 -- Martin Pitt <mpitt@debian.org>  Tue, 04 Sep 2012 15:50:40 +0200

glib2.0 (2.33.8-1) experimental; urgency=low

  * New upstream release 2.33.8.
    - GIO now has a g_file_delete_async function
    - The defaults for GThreadPools max_unused_threads and max_idle_time
      values have been changed to 2 and 15*1000, respectively.
  * debian/control{,.in}: XC-Package-Type → Package-Type, thanks to Lintian.
  * debian/libglib2.0-0.symbols: Update for new symbols in this release and
    remove Debian revisions which aren't necessary. 

 -- Iain Lane <laney@debian.org>  Tue, 07 Aug 2012 14:38:25 +0100

glib2.0 (2.33.6-1) experimental; urgency=low

  * New upstream release.

