## glib2.0 2.34.1

=== debian/changelog ===
glib2.0 (2.34.1-1ubuntu1) quantal-proposed; urgency=low

  * Rebase on Debian experimental. (LP: #1067763) 
  * Add back 91_revert_pcre_8.31_test.patch and lower the pcre dependency back
    to >= 8.30. This needs to be kept until we get pcre 8.31 into Ubuntu.
  * Restore dependency on libelf-dev. Following Debian entails a dependency on
    libelfg0 which will break multi-arch glib as this library is not
    multi-arched yet.

 -- Iain Lane <iain.lane@canonical.com>  Wed, 17 Oct 2012 15:47:20 +0100

glib2.0 (2.34.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Require libelfg0-dev, not libelf-dev which has nothing to do with 
    it.

  [ Iain Lane ]
  * New upstream release
    + GTimeZone support for zoneinfo version 1
    + Leak in glib-compile-resources
    + g_settings_bind: use canonical property name
    + Port gio tests from pygobject to pygi
  * Switch python-gobject-2 BD to python-gi, folowing porting of tests. 
  * debian/patches/50_git_gmenuexporter_allow_null_bus_on_name_vanished.patch:
    Cherry-pick upstream patch to fix crash when GBusNameVanishedCallback is
    called with a NULL GDBusConnection. (LP: #1044322)

 -- Iain Lane <laney@debian.org>  Wed, 17 Oct 2012 11:51:14 +0100
