=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                shared-mime-info,
                python (>= 2.5),
                python-dbus,
-               python-gobject-2,
+               python-gi,
                libxml2-utils,
                libffi-dev (>= 3.0.0)
 Standards-Version: 3.9.3
