## glib2.0 2.35.7

=== debian/changelog ===
glib2.0 (2.35.7-0ubuntu1) raring; urgency=low

  * New upstream release
  * Refresh patches
  * 08_fix_closure_invalidation.patch,
    git_ignore_fstab_bind_mount.patch,
    git_tz_double_unref.patch,
    git_gfile_completion_error.patch
    git_fix_gvariant_tuple_checking.patch: Drop, appiled upstream
  * revert_btrfs_ioctl_support.patch: Drop, problem that prompted this revert
    is fixed in this release.
  * Add new symbols introduced in this release. 

 -- Iain Lane <iain.lane@canonical.com>  Thu, 07 Feb 2013 11:27:42 +0000

glib2.0 (2.35.4-0ubuntu5) raring; urgency=low

  * debian/patches/git_fix_gvariant_tuple_checking.patch:
    - should fix a dconf-service segfault issue (lp: #1105102)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 25 Jan 2013 18:08:29 +0100

glib2.0 (2.35.4-0ubuntu4) raring; urgency=low

  * debian/patches/git_ignore_fstab_bind_mount.patch:
    - "Ignore fstab entries that are bind mounts" (lp: #452049)
  * debian/patches/git_gfile_completion_error.patch:
    - should fix some recent nautilus segfaults (lp: #1101985)
  * debian/patches/git_tz_double_unref.patch:
    - "timezone: avoid a double GBytes unref"
  * debian/patches/revert_btrfs_ioctl_support.patch:
    - revert buggy patch which causes some other nautilus segfaults,
      better btrfs support can wait until the next update (lp: #1102164)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Jan 2013 15:52:43 +0100

glib2.0 (2.35.4-0ubuntu3) raring; urgency=low

  * Drop 08_revert_closure_invalidation.patch, and add
    08_fix_closure_invalidation.patch which fixes the issue properly without
    introducting warnings/criticals. This should fix the deja-dup autopkgtest
    again.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Jan 2013 11:01:54 +0100

glib2.0 (2.35.4-0ubuntu2) raring; urgency=low

  * 08_revert_closure_invalidation.patch: Revert corresponding test case, too.
    (Also committed to Debian SVN)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Jan 2013 11:21:12 +0100

glib2.0 (2.35.4-0ubuntu1) raring; urgency=low

  Synchronize with Debian experimental packaging SVN. Remaining Ubuntu
  changes:
  - debian/control.in: Mark python build dependency as ":any" for
    cross-building.

  [ Matthias Klose ]
  * Configure cross builds with --disable-modular-tests --disable-gtk-doc.

  [ Iain Lane ]
  * Merges from unstable branch (Michael Biebl)
    - Take into account multiarch when removing the cache files in postrm:
      Remove /usr/lib/gio/modules/giomodule.cache only for the native
      architecture for which this cache file was created.
      After removing /usr/share/glib-2.0/schemas/gschemas.compiled on purge,
      run dpkg-trigger explicitly, so in case libglib2.0-0 is installed for
      other architectures, the cache file is re-created. (Closes: #696389)
    - Drop the various Breaks from libglib2.0-0. Those are causing APT to
      fail on a dist-upgrade from squeeze to wheezy. (Closes: #676485)
  * Refresh patches and slightly rework debian/patches/04_homedir_env.patch:
    g_get_home_dir() now respects the HOME environment variable but we'll keep
    G_HOME for now as packages in Debian rely on it.
  * gdbus-codegen .py files have moved to /usr/share/glib-2.0 
  * Update symbols file 

  [ Martin Pitt ]
  * New upstream release 2.35.4 
  * debian/libglib2.0-0.symbols: Update for new upstream release.
  * Drop 08_disable_gapplication_basic_test.patch, test is now more robust.
  * Drop 92_revert_appinfo_command_line.patch and add xterm build dependency;
    xterm is rather lightweight in terms of dependencies and is sufficient to
    run all the "Terminal=true" tests.
  * Add 08_revert_closure_invalidation.patch: Revert upstream commit a36028
    until the crash introduced by it is solved properly. (GNOME #690118)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Jan 2013 10:31:55 +0100

glib2.0 (2.34.3-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 28 Nov 2012 14:38:35 +0100

glib2.0 (2.34.2-1) experimental; urgency=low

  * Team upload

  [ Martin Pitt ]
  * debian/rules: Re-enable failing the build on failed tests on armel/armhf
    on Ubuntu, now that the buildds behave themselves again.

  [ Simon McVittie ]
  * New upstream release
    - 50_git_gmenuexporter_allow_null_bus_on_name_vanished.patch: remove,
      applied upstream
    - 91_kfreebsd_credentials.patch: remove, applied upstream
  * Override a couple of package-contains-empty-directory lintian tags
    for deliberate empty directories
  * Override package-contains-devhelp-file-without-symlink lintian tag
    for gdbus-object-manager-example, which is deliberately not in devhelp

 -- Simon McVittie <smcv@debian.org>  Mon, 12 Nov 2012 16:08:29 +0000

glib2.0 (2.34.1-2) experimental; urgency=low

  * Team upload
  * Apply patch from unstable to use the FreeBSD credentials-passing code
    path on kFreeBSD too, fixing (at least) gnome-terminal and lightdm on
    kFreeBSD (Closes: #581750, #631968)

 -- Simon McVittie <smcv@debian.org>  Wed, 31 Oct 2012 12:56:54 +0000
