=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Martin Pitt <mpitt@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
@@ -12,8 +12,8 @@
                autotools-dev,
                gnome-pkg-tools (>= 0.11),
                dpkg-dev (>= 1.16.0),
-               libelf-dev,
-               libpcre3-dev (>= 1:8.30),
+               libelfg0-dev (>= 0.8.12),
+               libpcre3-dev (>= 1:8.31),
                desktop-file-utils,
                gtk-doc-tools (>= 1.15),
                libselinux1-dev [linux-any],
@@ -23,7 +23,8 @@
                dbus,
                dbus-x11,
                shared-mime-info,
-               python (>= 2.5),
+               xterm,
+               python:any (>= 2.5),
                python-dbus,
                python-gi,
                libxml2-utils,
@@ -41,14 +42,7 @@
 Recommends: libglib2.0-data,
             shared-mime-info
 Breaks: gvfs (<< 1.8),
-        glib-networking (<< 2.33.12),
-        gnome-control-center (<< 1:3),
-        gnome-session (<< 3.0.0-3),
-        gdm3 (<< 3.0.3),
-        libgtk-3-0 (<< 3.0.12),
-        emacs23 (<< 23.4+1-3),
-        eog (<< 3.2.2-3),
-        gwaei (<< 3.2.0b1-2)
+        glib-networking (<< 2.33.12)
 Replaces: libglib2.0-dev (<< 2.23.2-2)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -102,7 +96,7 @@
          ${shlibs:Depends},
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
-         libpcre3-dev (>= 1:8.30),
+         libpcre3-dev (>= 1:8.31),
          pkg-config (>= 0.16.0),
          zlib1g-dev
 Recommends: python
