## glib2.0 2.35.8

=== debian/changelog ===
glib2.0 (2.35.8-0ubuntu1) raring; urgency=low

  * New upstream release
    + Fix signal emission for GDBusObjectManagerClient
    + annotations fixes
    + new API: g_dbus_address_escape_value()
    + GSocketClient: add proxy-resolver property
    + GSimpleProxyResolver: new simple GProxyResolver class
    + gnetworkaddress: preserve IPv6 scope ID in IP literals
  * Add new symbols in this release. 

 -- Iain Lane <iain.lane@canonical.com>  Wed, 20 Feb 2013 17:57:28 +0000
