=== debian/rules ===
--- 
+++ 
@@ -55,10 +55,9 @@
 export G_HOME=$(CURDIR)/debian/build
 
 # make tests non-fatal on Debian architectures which currently have failed
-# tests; armel/armhf builders on Ubuntu are currently too swap-happy and
-# unpredictable
+# tests; always fail on Ubuntu; only run the tests for the main flavour
 ifneq ($(findstring $(DEB_BUILD_ARCH), armel armhf kfreebsd-i386 kfreebsd-amd64 s390x sparc mips hurd-i386),)
-DEB_MAKE_CHECK_TARGET = $(if $(filter deb, $(cdbs_make_curflavor)), -k check || true)
+DEB_MAKE_CHECK_TARGET = $(if $(filter deb, $(cdbs_make_curflavor)), -k check || ! dpkg-vendor --is ubuntu)
 else
 DEB_MAKE_CHECK_TARGET = $(if $(filter deb, $(cdbs_make_curflavor)), -k check)
 endif
@@ -68,6 +67,12 @@
 			--with-html-dir=\$${prefix}/share/doc/$(DOC_PKG) \
 			--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 			--with-pcre=system
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+  DEB_CONFIGURE_EXTRA_FLAGS += \
+			--disable-modular-tests \
+			--disable-gtk-doc
+endif
 
 DEB_CONFIGURE_FLAGS_deb := \
 			--enable-gtk-doc \
