## glib2.0 2.36.0

=== debian/changelog ===
glib2.0 (2.36.0-1ubuntu2) raring; urgency=low

  * debian/patches/git_dont_break_bindings.patch: interface-after-init 
    exception for glibmm and gtk# until those bindings are updated

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Apr 2013 11:43:24 +0200

glib2.0 (2.36.0-1ubuntu1) raring; urgency=low

  * Merge with Debian experimental. Remaining Ubuntu changes:
    - Build-depend on python:any for cross-building.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 26 Mar 2013 13:24:05 +0100

glib2.0 (2.36.0-1) experimental; urgency=low

  * New upstream release.
    + debian/libglib2.0-0.symbols:
      - Updated.
  * debian/rules:
    + Make the test suite fatal in armel and armhf.
  * debian/patches/17_check_abis_mips_symbols.patch:
    + Add _ftext to the list of allowed symbols, since that
      is leaked on mips.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 26 Mar 2013 11:14:37 +0100

glib2.0 (2.35.9-2) experimental; urgency=low

  * d/p/11_kfreebsd_pthread_condattr_setclock_prototype.patch:
    + Another patch to fix the build on kfreebsd. Add a prototype
      for pthread_condattr_setclock() when building on kfreebsd
      since the prototype there is missing. The glibc bug to add
      the missing prototype is #703545, we can remove this hack
      when that is fixed.
  * debian/patches/13_sparc_prlimit_prototype.patch:
    + New patch, only use prlimit if the prototype is available.
      Should fix the build on sparc where prlimit is available but
      the prototype is missing. Thanks to Julien Cristau for the
      patch. This works-around #703559 and can be removed when that
      bug is fixed.
  * debian/patches/15_gio_desktop_app_info_test_bin_true_path.patch:
    + Change path for 'true' to /bin/true as that's where it is in
      Debian. This fixes a testcase that was failing on every arch
      and was causing the build to fail on ia64 and powerpc as test
      failures are fatal on those arches.
  * debian/rules:
    + Use filter instead of findstring to match the current arch
      against the list of architectures where the test suite should
      not be fatal, as the latter matches substrings and so it was
      making the testsuite non-fatal on amd64 and i386 because they
      match kfreebsd-amd64 and kfreebsd-i386.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 21 Mar 2013 16:24:45 +0100

glib2.0 (2.35.9-1) experimental; urgency=low

  * debian/control.in:
    + Break python-gi (<< 3.7.2). Closes: #702603.
  * New upstream release.
    + debian/patches/04_homedir_env.patch:
      - Updated to apply again.
  * debian/rules:
    + Set HOME instead G_HOME, as GLib now honors the former. We will
      eventually remove our local patch to support G_HOME, so packages
      that need to override the home directory for the test suite should
      switch to overriding HOME.
  * debian/libglib2.0-0.symbols:
    + Bump minimum version for g_get_home_dir() so that users that need
      HOME to be honored get a proper runtime dependency.
  * debian/patches/10_kfreebsd_issetugid_prototype.patch:
    + Untested patch to fix the build on kfreebsd.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 19 Mar 2013 13:58:27 +0100

glib2.0 (2.35.8-1) experimental; urgency=low

  [ Matthias Klose ]
  * Configure cross builds with --disable-modular-tests --disable-gtk-doc.

  [ Iain Lane ]
  * Merges from unstable branch (Michael Biebl)
    - Take into account multiarch when removing the cache files in postrm:
      Remove /usr/lib/gio/modules/giomodule.cache only for the native
      architecture for which this cache file was created.
      After removing /usr/share/glib-2.0/schemas/gschemas.compiled on purge,
      run dpkg-trigger explicitly, so in case libglib2.0-0 is installed for
      other architectures, the cache file is re-created. (Closes: #696389)
    - Drop the various Breaks from libglib2.0-0. Those are causing APT to
      fail on a dist-upgrade from squeeze to wheezy. (Closes: #676485)
  * Refresh patches and slightly rework debian/patches/04_homedir_env.patch:
    g_get_home_dir() now respects the HOME environment variable but we'll keep
    G_HOME for now as packages in Debian rely on it.
  * gdbus-codegen .py files have moved to /usr/share/glib-2.0 
  * Update symbols file 

  [ Martin Pitt ]
  * New upstream release 2.35.4
  * debian/libglib2.0-0.symbols: Update for new upstream release.
  * Drop 08_disable_gapplication_basic_test.patch, test is now more robust.
  * Drop 92_revert_appinfo_command_line.patch and add xterm build dependency;
    xterm is rather lightweight in terms of dependencies and is sufficient to
    run all the "Terminal=true" tests.
  * Add 08_fix_closure_invalidation.patch: gsignal: fix closure invalidation
    code. (GNOME #690118)

  [ Emilio Pozuelo Monfort ]
  * New upstream release 2.35.8.
    + debian/patches/08_fix_closure_invalidation.patch:
      - Removed, applied upstream.
    + debian/patches/*:
      - Refreshed.
    + debian/libglib2.0-0.symbols:
      - Updated for the new symbols.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 23 Feb 2013 19:27:38 +0100
