=== debian/rules ===
--- 
+++ 
@@ -52,11 +52,11 @@
 
 # Do not clutter $HOME with ~/.dbus-keyrings and avoid failure on the buildds
 # where creating /home/buildd/.dbus-keyrings fails
-export G_HOME=$(CURDIR)/debian/build
+export HOME=$(CURDIR)/debian/build
 
 # make tests non-fatal on Debian architectures which currently have failed
 # tests; always fail on Ubuntu; only run the tests for the main flavour
-ifneq ($(findstring $(DEB_BUILD_ARCH), armel armhf kfreebsd-i386 kfreebsd-amd64 s390x sparc mips hurd-i386),)
+ifneq ($(filter $(DEB_BUILD_ARCH), kfreebsd-i386 kfreebsd-amd64 sparc mips hurd-i386),)
 DEB_MAKE_CHECK_TARGET = $(if $(filter deb, $(cdbs_make_curflavor)), -k check || ! dpkg-vendor --is ubuntu)
 else
 DEB_MAKE_CHECK_TARGET = $(if $(filter deb, $(cdbs_make_curflavor)), -k check)
