=== debian/tests/control ===
Tests: build
Depends: libglib2.0-dev, build-essential
