## glib2.0 2.38.0

=== debian/changelog ===
glib2.0 (2.38.0-1ubuntu1) saucy; urgency=low

  * Resynchronise on Debian, remaining change
    - Build-Depend on python:any for cross building

 -- Iain Lane <iain.lane@canonical.com>  Wed, 25 Sep 2013 10:40:24 +0000

glib2.0 (2.38.0-1) experimental; urgency=low

  * New upstream release
  * debian/patches/0001-gio-Fix-typo-in-the-org-freedesktop-DBus-path.patch:
    Cherry-pick patch from upstream to fix object path typo in gio (LP:
    #1227295)
  * Add --enable-debug=minimal explicitly to the deb build so the debugging
    level doesn't change between pre-release and stable versions. 

 -- Iain Lane <laney@debian.org>  Wed, 25 Sep 2013 10:37:50 +0000

glib2.0 (2.37.93-1) experimental; urgency=low

  * New upstream release 2.37.93 (& .92)
    + new API g_file_measure_disk_usage() similar to du(1)
  * Add new symbols for g_file_measure_disk_usage API added in this release. 

 -- Iain Lane <laney@debian.org>  Wed, 18 Sep 2013 10:07:15 +0000

glib2.0 (2.37.7-1) experimental; urgency=low

  * New upstream 2.37.7
    + GDateTime now supports %:z formatting variations for timezones. This is
    a GNU date extension.

 -- Iain Lane <laney@debian.org>  Tue, 10 Sep 2013 11:26:28 +0000

glib2.0 (2.37.6-1) experimental; urgency=low

  * New upstream release 2.37.6
  * Update symbols file 
  * Merge changes from unstable, mainly for build / testsuite fixes.

 -- Iain Lane <laney@debian.org>  Wed, 21 Aug 2013 09:48:19 +0000

glib2.0 (2.37.5-1) experimental; urgency=low

  * New upstream release 2.37.5 (including interesting changes from .3 and .4)
    + Implement the Desktop Action specification
    + The gsettings tool now reports failure to write a key (e.g. because the
      key was locked down)
    + add a new API for instance private data: G_DEFINE_TYPE_WITH_PRIVATE
    + add new D-Bus API for async property handling
  * libglib2.0-tests: Depend on shared-mime-info required by contenttype test. 
  * New upstream release
  * 0001-Revert-g_file_set_contents-don-t-fsync-on-ext3-4.patch: Drop, now
    upstream.
  * debian/tests/installed-tests: Add a new DEP-8 test to run the
    installed-tests.
  * Refresh patches.
  * Update symbols file. 
  * debian/patches/skip-brokwn-dbus-appinfo-test.patch: Skip a broken new
    dbus-appinfo test which is hanging. 

 -- Iain Lane <laney@debian.org>  Fri, 02 Aug 2013 16:54:51 +0000

glib2.0 (2.37.2-1) experimental; urgency=low

  * New upstream version
    + add support for installed tests:
      https://live.gnome.org/GnomeGoals/InstalledTests
    + add a new g_test_trap_subprocess() that works on Windows as a
      replacement for the (now deprecated) g_test_trap_fork()
    + support for explicitly cancelling a gobject property binding
    + performance improvements for signal argument handling
    + stop using `quotes' in very many log messages generated by GLib, for
      favour of 'this style'.  This may cause testcases in other packages to
      fail if they were matching on the previous text.
    + improve manpages: add missing arguments and flags
    + Installing properties after class initialization is deprecated, and will
      trigger a warning.
    + GApplication Support org.freedesktop.Application, including D-Bus
      activation from desktop files
  * Refresh patches. 
  * Update symbols file with new symbols in this release. 
  * Enable installed tests and install into a libglib2.0-tests package. 
  * clean debian/{install,build,stamp-makefile-check} and
    gio/gdbus-2.0/codegen/*.pyc 
  * Set $XDG_RUNTIME_DIR to a writable directory we control; now required by
    the testsuite. 

 -- Iain Lane <laney@debian.org>  Fri, 21 Jun 2013 15:28:46 +0100

glib2.0 (2.36.4-1) unstable; urgency=low

  * New upstream release.
  * Remove 0001-Revert-g_file_set_contents-don-t-fsync-on-ext3-4.patch, merged
    upstream.
  * Make test suite linux only again. On kfreebsd the test suite keeps getting
    stuck and the build is killed after a timeout.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Aug 2013 09:57:58 +0200

glib2.0 (2.36.3-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Still run the testsuite on !linux, even though non-fatal.

  [ Michael Biebl ]
  * Track stable releases.
  * Use dh_python2 to properly generate the dependencies for gdbus-codegen,
    which is shipped in libglib2.0-dev.

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Aug 2013 16:39:05 +0200

glib2.0 (2.36.3-3) unstable; urgency=low

  [ Julien Cristau ]
  * Use gcc-4.8 on sparc to fix misbuild causing test failure (closes: #709781).

  [ Josselin Mouette ]
  * Only make the testsuite fatal on linux. Although the other 
    architectures don’t pass, we have to keep a pair of reverse 
    dependencies working.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Jul 2013 15:51:11 +0200

glib2.0 (2.36.3-2) unstable; urgency=low

  * 0001-Revert-g_file_set_contents-don-t-fsync-on-ext3-4.patch:
    + Patch from the upstream 2.36 stable branch. Revert a previous
      commit that dropped calls to fsync() on ext[234] fileystems as
      that caused data corruption in some cases (e.g. corrupted dconf
      db on power loss).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Jun 2013 23:17:54 +0200

glib2.0 (2.36.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the testsuite fatal on all architectures. If it fails, we need 
    to fix it or drop the architecture, not to ignore it.
  * Break libgnome-desktop-3-2 < 3.4.2-2 for the thumbnails location 
    change.

  [ Emilio Pozuelo Monfort ]
  * New upstream bugfix release. Closes: #708568.
  * debian/patches/13_sparc_prlimit_prototype.patch:
    + Refreshed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 10 Jun 2013 21:34:19 +0200

glib2.0 (2.36.1-2) unstable; urgency=low

  * Merge experimental branch, upload to unstable.

 -- Martin Pitt <mpitt@debian.org>  Wed, 08 May 2013 06:25:57 +0200

glib2.0 (2.36.1-1) experimental; urgency=low

  * New upstream release

