=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: glib2.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
                cdbs (>= 0.4.93),
                dh-autoreconf,
+               gcc-4.8 [sparc],
                pkg-config (>= 0.16.0),
                gettext,
                autotools-dev,
@@ -24,15 +24,15 @@
                dbus-x11,
                shared-mime-info,
                xterm,
-               python:any (>= 2.5),
+               python:any (>= 2.6.6-3~),
                python-dbus,
                python-gi,
                libxml2-utils,
                libffi-dev (>= 3.0.0)
 Standards-Version: 3.9.3
 Homepage: http://www.gtk.org/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/experimental/glib2.0/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/experimental/glib2.0/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/experimental/glib2.0/
+Vcs-Svn: svn://svn.debian.org/pkg-gnome/desktop/experimental/glib2.0/
 XS-Testsuite: autopkgtest
 
 Package: libglib2.0-0
@@ -43,7 +43,8 @@
             shared-mime-info
 Breaks: gvfs (<< 1.8),
         glib-networking (<< 2.33.12),
-        python-gi (<< 3.7.2)
+        python-gi (<< 3.7.2),
+        libgnome-desktop-3-2 (<< 3.4.2-2)
 Replaces: libglib2.0-dev (<< 2.23.2-2)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,6 +54,20 @@
  C library used by projects such as GTK+, GIMP, and GNOME.
  .
  This package contains the shared libraries.
+
+Package: libglib2.0-tests
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         shared-mime-info
+Pre-Depends: ${misc:Pre-Depends}
+Description: GLib library of C routines - installed tests
+ GLib is a library containing many useful C routines for things such
+ as trees, hashes, lists, and strings.  It is a useful general-purpose
+ C library used by projects such as GTK+, GIMP, and GNOME.
+ .
+ This package contains test programs, designed to be run as part of a
+ regression testsuite.
 
 Package: libglib2.0-udeb
 Section: debian-installer
@@ -95,12 +110,12 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+         ${python:Depends},
          libglib2.0-0 (= ${binary:Version}),
          libglib2.0-bin (= ${binary:Version}),
          libpcre3-dev (>= 1:8.31),
          pkg-config (>= 0.16.0),
          zlib1g-dev
-Recommends: python
 Suggests: libglib2.0-doc
 Description: Development files for the GLib library
  GLib is a library containing many useful C routines for things such
