=== debian/tests/control ===
Tests: build
Depends: libglib2.0-dev, build-essential

Tests: installed-tests
Depends: libglib2.0-tests, dbus-x11, xvfb, gnome-desktop-testing
