## glib2.0 2.38.1

=== debian/changelog ===
glib2.0 (2.38.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release 2.38.1 (LP: #1241083)
    + Fix error code checks when SOCK_CLOEXEC is defined but not supported
      (fix support for GNU/Hurd)
    + g_settings_list_children: only list viable schemas (fix gsettings
      list-recursively crashes with invalid schemas installed)
    + GDBusObjectManagerClient: Fix typo in the /org/freedesktop/DBus path
      when adding match rules
      - Remove 0001-gio-Fix-typo-in-the-org-freedesktop-DBus-path.patch
  * 0001-g_file_copy-Fall-back-to-pathname-queryinfo-to-help-.patch:
    Cherry-pick gio patch to fall back to g_file_query_info if
    query_info_on_read is not supported. Fixes copying from backends that
    don't implement the latter. (Closes: #715436, LP: #1217230)

 -- Iain Lane <iain.lane@canonical.com>  Thu, 17 Oct 2013 17:49:34 +0100
